This version (v0.7) has not been published to npm yet.
Skip to content

Reference / @getenginex/sdk / Transaction

Transaction ​

Statement transaction (GET /wallet/transactions).

Properties ​

amount ​

amount: number

Amount in minor units of currency, as the wallet service recorded it.


createdAt ​

createdAt: string

Transaction date, ISO 8601 (UTC).


currency ​

currency: string

Currency code, e.g. BRL.


currencyDecimalPlaces ​

currencyDecimalPlaces: number

Decimal places of the currency (e.g. 2 for BRL), to format amount.


description ​

description: string

Free-form description; may come empty.


id ​

id: string

Transaction id.


referenceId ​

referenceId: string

Id of the source entity; may come empty.


referenceType ​

referenceType: string

Type of the source entity (e.g. casino round, deposit); may come empty.


status ​

status: TransactionStatus

Status, e.g. completed.


type ​

type: TransactionType

Type, e.g. deposit, casino_bet.